<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('suppliers', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->string('fantasyName')->nullable();
            $table->string('province')->nullable();
            $table->string('locate')->nullable()->description('Localidad');
            $table->text('address')->nullable()->description('Dirección del proveedor');
            $table->string('contactOne')->nullable()->description('Persona de contacto');
            $table->string('phoneOne')->nullable();
            $table->string('contactTwo')->nullable()->description('Persona de contacto');
            $table->string('phoneTwo')->nullable();
            $table->string('email')->nullable();
            $table->string('web')->nullable();
            $table->string('cuit')->nullable();
            $table->string('condition')->nullable();
            $table->string('observations')->nullable()->description('Observaciones');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('suppliers');
    }
};
